
%global meadversion 1.2.0
%global namedversion 1.2.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 3
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}cryptacular}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.0.redhat-1

Name:           %{?scl_prefix}cryptacular
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Cryptacular Library
Group:          Development/Java

%if %with mead
Source100: cryptacular-1.2.0.redhat-1-scm-sources.zip
Source102: cryptacular-1.2.0.redhat-1-sources.jar
Source103: cryptacular-1.2.0.redhat-1-javadoc.jar
Source104: cryptacular-1.2.0.redhat-1.jar
Source105: cryptacular-1.2.0.redhat-1-tests.jar
Source106: cryptacular-1.2.0.redhat-1.pom
Source107: cryptacular-1.2.0.redhat-1-project-sources.tar.gz
%endif

License:        ASL 2.0 or LGPLv3+
URL:            http://www.cryptacular.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/cryptacular-%{namedversion}-%{release}-root

%description
The spectacular complement to the Bouncy Castle crypto API for Java.

%if %with javadoc
%package javadoc
Summary:        Javadoc for cryptacular
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n cryptacular -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/cryptacular-%{namedversion}.jar %{buildroot}%{_javadir}/cryptacular-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cryptacular-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cryptacular-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cryptacular-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cryptacular-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/cryptacular-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/cryptacular-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/cryptacular-%{namedversion} -x META-INF/\*
%{__ln_s} cryptacular-%{namedversion} %{buildroot}%{_javadocdir}/cryptacular
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}cryptacular
%defattr(0644,root,root,0755)
%doc LICENSE LICENSE-apache2 LICENSE-lgpl NOTICE README.md
%{_javadir}/cryptacular-%{namedversion}.jar
%{_javadir}/cryptacular.jar
%if %with javadoc
%{_javadir}/cryptacular-%{namedversion}-javadoc.jar
%{_javadir}/cryptacular-javadoc.jar
%endif
%{_javadir}/cryptacular-%{namedversion}-sources.jar
%{_javadir}/cryptacular-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/cryptacular-%{namedversion}
%{_javadocdir}/cryptacular
%endif

%changelog
* Thu Nov 09 2017 Permaine Cheung <pcheung@redhat.com> - 1.2.0-3.redhat_1.1
- Fix license (JBEAP-13468)

* Thu Oct 12 2017 Permaine Cheung <pcheung@redhat.com> - 1.2.0-2.redhat_1.1
- Fix license (JBEAP-13468)

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 1.2.0-1.redhat_1.1
- upgrade to 1.2.0.redhat-1

* Fri Aug 14 2015 Hui Wang <huwang@redhat.com> - 1.0.0-2.redhat_1.1
- Initial build

* Thu Aug 13 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.redhat_1.1
- Initial build

* Thu Aug 13 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.redhat_1.1
- Initial build

